Name:           hawaii-system-preferences
Summary:        Utilities to configure the Hawaii desktop environment
Version:        0.6.90
Release:        0.1.20160301git%{?dist}
Group:          Applications/System
# Executable is GPLv2+
# Preference applets are LGPLv2.1+
License:        GPLv2+ and LGPLv2.1+
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  qt5-qttools
BuildRequires:  qt5-qttools-devel
BuildRequires:  libkscreen-qt5-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

Requires:       qt5-qtdeclarative
Requires:       qt5-qtquickcontrols
Requires:       qt5-qtgraphicaleffects
Requires:       polkit-qt5-1
Requires:       libkscreen-qt5
Requires:       libhawaii >= 0.5.0
Requires:       xkeyboard-config


%description
This package contains configuration utilities for the Hawaii desktop, which
allow to configure various settings including desktop fonts, keyboard and
mouse properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/hawaii-*.desktop


%files
%license LICENSE.GPL LICENSE.LGPL
%doc AUTHORS
%{_bindir}/hawaii-system-preferences
%{_datadir}/hawaii-system-preferences/
%{_datadir}/applications/hawaii-*.desktop
%{_kf5_qmldir}/org/hawaiios/systempreferences/


%changelog
* Tue Mar 01 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160301git
- Update to latest snapshot

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 03 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-1
- Initial packaging
